Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## statemap
Class TransitionUndefinedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  statemap.TransitionUndefinedException

All Implemented Interfaces:
  java.io.Serializable

    public final class TransitionUndefinedException

extends java.lang.RuntimeException

A `TransitionUndefinedException` is thrown by an SMC-generated state machine whenever a transition is taken which:

1. Is not explicitly defined in the current state and
2. Is not explicitly defined in the current FSM's default state and
3. There is no Default transition in the current state.

See Also:
  Serialized Form

Constructor Summary
`TransitionUndefinedException()` Constructs a `TransitionUndefinedException` with no detail message.
`TransitionUndefinedException(java.lang.String reason)` Constructs a `TransitionUndefinedException` with a detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransitionUndefinedException

    public TransitionUndefinedException()

  Constructs a `TransitionUndefinedException` with no detail message.

### TransitionUndefinedException

    public TransitionUndefinedException(java.lang.String reason)

  Constructs a `TransitionUndefinedException` with a detail message.

  Parameters:
    `reason` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.